Take the 2-minute tour ×
Database Administrators Stack Exchange is a question and answer site for database professionals who wish to improve their database skills and learn from others in the community. It's 100% free, no registration required.

When I try running ExpressMaint on a server with SQL Server 2012 installed, it fails with an error saying it cannot find the Microsoft.SqlServer.Smo libraries (SQL Management Objects). From what I've read, this is because ExpressMaint was compiled against the 2008 SMO libraries.

Various websites recommend installing the older SMO libraries. However, I just tried installing the 2008 R2 libraries on my 2012 box, and it wouldn't let me because there is a newer version installed.

There is a post on the CodePlex site where someone claims to have recompiled ExpressMaint against 2012, but I'm loathe to install something I found on the internet on my production box.

Has anyone had success with this? Is there a better inexpensive solution out there?

I've used ExpressMaint before, and I like it because it's so easy to use.

share|improve this question
add comment

1 Answer 1

Turns out there's a stored-proc version of ExpressMaint, which does seem to work on 2012, and is just as simple to use. Not sure now why I didn't just use that all along! :-)

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.